Release Notes 2.10-rc1 ("Release Candidate 1")

Do not use this release to upgrade your production systems.

For all production use and testing of Confluence, please use the latest official release.
This release is a milestone development release for 2.10. This is a public development release (DR) leading up to Confluence 2.10. Development releases are a snapshot of our work in progress, allowing our customers and especially plugin-developers to see what we're up to.

Who should upgrade?

Please note the following

  • Development releases are not safe. Development releases are snapshots of the ongoing Confluence development process. For that reason:
    • While we try to keep these releases stable, they have not undergone the same degree of testing as a full release.
    • Features in development releases may be incomplete, or may change or be removed before the next full release.
  • No upgrade path. Because development releases represent work in progress, we cannot provide a supported upgrade path between development releases, or from any development release to the eventual final release. Thus, it is possible that you will not be able to migrate any data you store in a Confluence development release to a future Confluence release.
  • Atlassian does not provide support for development releases.

Upgrade Procedure

Follow the normal upgrade instructions to upgrade from Confluence 2.9.x to this release. We strongly recommend that you backup your confluence-home directory and database before upgrading!


All development releases are available from Development Releases on the Atlassian website.

Issues resolved or improved in this release

We are now reaching the end of the 2.10 release cycle.

We have released our first release candidate RC1 today, you can see it on our public Confluence installation at There should be no more code changes made to Confluence from this point on unless any important issues are found in this release candidate.

While this is not the final release, and the official release notes will be unveiled next week, you should definitely have a look now to confirm everything still works fine with your plugins.

The RC1 is functionally almost equivalent to M8 which was announced in early November, but has a number of additional bugfixes. Check out our roadmap in the JIRA project

Known problems

The Edit Grid plugin doesn't work with this version of Confluence. See the Jira issue for more details.

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?
Powered by Confluence and Scroll Viewport